package be.jeffcheasey88.peeratcode.parser.java;

import java.util.ArrayList;
import java.util.List;

import be.jeffcheasey88.peeratcode.parser.Bag;
import be.jeffcheasey88.peeratcode.parser.Token;

public class Class extends JavaElement{
	
	private List<Annotation> annotations;
	
	private Token name;
	private Token extend;
	private Token implement;
	
	private List<JavaElement> elements;
	
	public Class(Bag bag){
		this.name = bag.<Token>get("name");
		if(bag.has("extend")) this.extend = bag.<Token>get("extend");
		if(bag.has("implement")) this.implement = bag.<Token>get("implement");
		
		this.annotations = new ArrayList<>();
		this.elements = new ArrayList<>();
	}
	
	@Override
	public String toString(){
		return "class "+name+" extends "+extend+" implements "+implement;
	}
	
	

}
